/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.framework.deploy;

import org.jfox.framework.util.XmlUtils;
import org.w3c.dom.Node;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class ParameterDescriptor implements Descriptor {
    private String type = null;
    private String value = null;
    private String ref = null;

    public void processXML(Node node) throws ComponentDescriptionException {
        setType(XmlUtils.getChildNodeValueOf(node, "type"));
        setValue(XmlUtils.getChildNodeValueOf(node, "value"));
        setRef(XmlUtils.getChildNodeValueOf(node, "ref"));
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getRef() {
        return ref;
    }

    public void setRef(String ref) {
        this.ref = ref;
    }

    public static void main(String[] args) {

    }
}

